stl_set.h File Reference

Go to the source code of this file.

## Classes

class | std::multiset< _Key, _Compare, _Alloc >
class | std::set< _Key, _Compare, _Alloc >

## Namespaces

| std

## Functions

template<typename _Key , typename _Compare , typename _Alloc >
bool | std::operator!= (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
template<typename _Key , typename _Compare , typename _Alloc >
bool | std::operator< (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
template<typename _Key , typename _Compare , typename _Alloc >
bool | std::operator<= (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
template<typename _Key , typename _Compare , typename _Alloc >
bool | std::operator== (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
template<typename _Key , typename _Compare , typename _Alloc >
bool | std::operator> (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
template<typename _Key , typename _Compare , typename _Alloc >
bool | std::operator>= (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
template<typename _Key , typename _Compare , typename _Alloc >
void | std::swap (set< _Key, _Compare, _Alloc > &__x, set< _Key, _Compare, _Alloc > &__y) noexcept(/*conditional */)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <set>.

Definition in file stl_set.h.